@import '../px-flexbox-design/base.flexbox.scss';
@import "../px-normalize-design/_generic.normalize-mini.scss";
@import "../px-box-sizing-design/_generic.box-sizing.scss";
$inuit-enable-toggle--small     : true;
$inuit-enable-toggle--large     : true;
$inuit-enable-toggle--huge      : true;
$inuit-enable-toggle--disabled  : true;
$inuit-toggle__background--checked : true;
$inuit-toggle__background--checked--hover : true;
$inuit-toggle__background--checked--pressed : true;
$inuit-toggle__background--checked--disabled : true;

@import "../px-toggle-design/_objects.toggle.scss";

// Component

:host {
  display: inline-block;
  cursor: pointer;
}

:host([disabled]) {
  cursor: not-allowed;
}
